Skip to main content
`Ctrl`+`K`

# scipy.special.betainccinv

scipy.special.betainccinv(a, b, y, out=None) = <ufunc 'betainccinv'>

  Inverse of the complemented regularized incomplete beta function.

  Computes \(x\) such that:

  \[y = 1 - I_x(a, b) = 1 - \frac{\Gamma(a+b)}{\Gamma(a)\Gamma(b)} \int_0^x t^{a-1}(1-t)^{b-1}dt,\]

  where \(I_x\) is the normalized incomplete beta function `betainc` and \(\Gamma\) is the `gamma` function [1].

  Parameters:
    a, b array_like

      Positive, real-valued parameters

    y array_like

      Real-valued input

    out ndarray, optional

      Optional output array for function values

  Returns:
    scalar or ndarray

      Value of the inverse of the regularized incomplete beta function

  See also

  `betainc`

    regularized incomplete beta function

  `betaincc`

    complement of the regularized incomplete beta function

  Notes

  Added in version 1.11.0.

  This function wraps the `ibetac_inv` routine from the Boost Math C++ library [2].

  References

  [1]

  NIST Digital Library of Mathematical Functions https://dlmf.nist.gov/8.17

  [2]

  The Boost Developers. “Boost C++ Libraries”. https://www.boost.org/.

  Examples

      >>> from scipy.special import betainccinv, betaincc

  This function is the inverse of `betaincc` for fixed values of \(a\) and \(b\).

      >>> a, b = 1.2, 3.1
      >>> y = betaincc(a, b, 0.2)
      >>> betainccinv(a, b, y)
      0.2

      >>> a, b = 7, 2.5
      >>> x = betainccinv(a, b, 0.875)
      >>> betaincc(a, b, x)
      0.875